Download the slpropz configuration file

GET https://{controlplane_path}/api/1/rest/public/snaplex/config_file/<path_to_groundplex>      

This API downloads the slpropz configuration file for the Groundplex.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
path_to_groundplex Required. The path to the Groundplex. The path comparison is case-sensitive.

Format: /{env_org}/{project_space}/{project_name}/{groundplex_name}

Example: /snaplogic/shared/Mygroundplex

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

None.

The slpropz file is downloaded to the required location by the user when using the browser.

To download the slpropz to the specific output path, call the API via cURL.

        cURL --output <output path and filename>
        --location '<host>/api/1/rest/public/snaplex/config_file/<path_to_groundplex> 
        --header 'Authorization: Basic <token>